import { RouterType } from '@/types'
import React from 'react'

const tabLeftArr: RouterType = [
  {
    id: 1,
    name: '内容管理',
    son: [
      {
        id: 200,
        name: '烈士信息',
        path: '/',
        Com: React.lazy(() => import('../A1record'))
      },
      {
        id: 300,
        name: '线索管理',
        path: '/clue',
        Com: React.lazy(() => import('../A2clue'))
      },
      {
        id: 400,
        name: '亲属信息',
        path: '/clan',
        Com: React.lazy(() => import('../A3clan'))
      },
      {
        id: 500,
        name: '烈士档案',
        path: '/antique',
        Com: React.lazy(() => import('../A4antique'))
      },
      {
        id: 600,
        name: '展馆介绍',
        path: '/introduce',
        Com: React.lazy(() => import('../A5introduce'))
      },
      {
        id: 700,
        name: '数据统计',
        path: '/statistics',
        Com: React.lazy(() => import('../A6statistics'))
      },
      {
        id: 800,
        name: '数据维护',
        path: '/numData',
        Com: React.lazy(() => import('../A7numData'))
      }
    ]
  },

  {
    id: 4,
    name: '系统设置',
    son: [
      {
        id: 2100,
        name: '用户管理',
        path: '/user',
        Com: React.lazy(() => import('../Z1user'))
      },

      {
        id: 2200,
        name: '操作日志',
        path: '/log',
        Com: React.lazy(() => import('../Z2log'))
      }
    ]
  }
]

export default tabLeftArr
